- Main Page
- Modules
- Namespaces
- Classes
- Files

# bus.h File Reference

`#include <glibmm.h>`
`#include <gst/gstbus.h>`
`#include <gstreamermm/object.h>`
`#include <gstreamermm/clock.h>`
`#include <gstreamermm/message.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::Bus
| Gst::Bus - Asynchronous message bus subsystem. More...
## Enumerations
enum | Gst::BusFlags { Gst::BUS_FLUSHING = GST_OBJECT_FLAG_LAST << 0, Gst::BUS_FLAG_LAST = GST_OBJECT_FLAG_LAST << 1 }
enum | Gst::BusSyncReply { Gst::BUS_DROP, Gst::BUS_PASS, Gst::BUS_ASYNC }
| The result values for a Gst::Bus::SlotMessageSync. More...